=== debian/changelog ===
obsession (20140608-3) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Fix Homepage
  * Point Vcs fields to Salsa
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * d/copyright: FSF address is redundant because the copy
    of the license is provided by Debian
  * Permit failure of blhc in Salsa CI

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #893521

  [ Vladimir K ]
  * Add desktop entry
    Closes: #888486

 -- Andreas Tille <tille@debian.org>  Sat, 12 Apr 2025 06:51:44 +0200

obsession (20140608-2) unstable; urgency=low

  * Fix configuration of package (l10n now works)
  * Fix make clean (reverting files changed by the configure step)
  * Added comments reguarding typos in copyright headers, patch forwarded
    upstream
  * Bumping standards version to 3.9.6, no changes needed

 -- Fabien Givors <f+debian@chezlefab.net>  Sat, 11 Oct 2014 13:31:48 +0200

obsession (20140608-1) unstable; urgency=low

  * Initial release (Closes: #731278).

 -- Fabien Givors <f+debian@chezlefab.net>  Tue, 16 Sep 2014 16:03:03 +0200
