=== debian/control ===
Source: obsession
Maintainer: Fabien Givors <f+debian@chezlefab.net>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libdbus-1-dev,
               libx11-dev,
               libgtk2.0-dev,
               valac
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/obsession
Vcs-Git: https://salsa.debian.org/debian/obsession.git
Homepage: https://github.com/fabriceT/obsession

Package: obsession
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnome-icon-theme
Description: Session management helpers for lightweight desktop environments
 This package provides the following tools:
  * obsession-logout displays a dialog where you can choose if you want
    to quit the session, power off, suspend or hibernate the computer.
  * obsession-exit: this is the command line version of obsession-logout.
  * xdg-autostart start automatically programs defined in
    /etc/xdg/autostart and ~/.config/autostart.
