=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PREFIX=/usr
export DEB_LDFLAGS_MAINT_APPEND=-Xlinker --as-needed
%:
	dh $@

override_dh_auto_configure:
	make configure
