=== debian/watch ===
version=4

# FIXME: There ia a "version" should_be_ok which is not catched here
opts="mode=git, dversionmangle=auto" \
  https://github.com/fabriceT/obsession.git refs/tags/v?@ANY_VERSION@
